Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.qtcomponents
Class TimeCodeDescription

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.util.QTHandleRef
                  |
                  +--quicktime.std.movies.media.SampleDescription
                        |
                        +--quicktime.std.qtcomponents.TimeCodeDescription

All Implemented Interfaces:
  java.lang.Cloneable, quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class TimeCodeDescription
extends SampleDescription
implements quicktime.jdirect.PrimitivesLib

This class maps the TimeCodeDescription record of the MovieToolbox. TimeCodeDescription are used when adding and getting media samples to/from TimeCode tracks.

Field Summary
`static int` | `kNativeSize` This is the size (the number of bytes) that are required for this class

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`TimeCodeDescription()` This constructor makes an empty TimeCodeDescription object.

Method Summary
`java.lang.Object` | `clone()` Implementation of Cloneable Interface.
`static EndianDescriptor` | `getEndianDescriptor()` Returns the EndianDescriptor for this class.
`TimeCodeDef` | `getTimeCodeDef()` Returns the current time code definition
`void` | `setTimeCodeDef(TimeCodeDef tcd)` Sets the values from the incoming TimeCode definition into the existing description.
`java.lang.String` | `toString()` String representation of class.

Methods inherited from class quicktime.std.movies.media.SampleDescription
`fromMovieImporter, getDataFormat, getDataRefIndex, getSize, setDataFormat, setDataRefIndex, setSize`

Methods inherited from class quicktime.util.QTHandleRef
`copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, fromCompressionDialogState, fromSCSequence, getBytes, inMemory, isLocked, lock, lockHigh, moveHigh, toQTPointer, toQTPointer, unlock`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size (the number of bytes) that are required for this class

Constructor Detail

### TimeCodeDescription

    public TimeCodeDescription()
                        throws QTException

  This constructor makes an empty TimeCodeDescription object.

Method Detail

### getEndianDescriptor

    public static EndianDescriptor getEndianDescriptor()

  Returns the EndianDescriptor for this class.
  Returns:
    an EndianDescriptor

### clone

    public java.lang.Object clone()

  Implementation of Cloneable Interface.
  Overrides:
    `clone` in class `SampleDescription`

### getTimeCodeDef

    public TimeCodeDef getTimeCodeDef()

  Returns the current time code definition
  Returns:
    time code definition

### setTimeCodeDef

    public void setTimeCodeDef(TimeCodeDef tcd)

  Sets the values from the incoming TimeCode definition into the existing description.
  Parameters:
    `tcd` - the incoming definitions.

### toString

    public java.lang.String toString()

  String representation of class.
  Overrides:
    `toString` in class `SampleDescription`
  Following copied from class: `quicktime.std.movies.media.SampleDescription`
  Returns:
    a string representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD